## tmd710-tncsetup 1.13

=== Makefile ===
APP = tmd710_tncsetup
OBJS = tmd710_tncsetup.o
CFLAGS = -O2 -Wall -Werror -fstack-protector-strong -Wformat -Wformat-security -Werror=format-security -D_FORTIFY_SOURCE=2 -fPIE
LDFLAGS = -Wl,-z,now -Wl,-z,relro -Wl,-pie -Wl,--hash-style=gnu

all: $(APP)

$(APP): $(OBJS)
	$(CC) -o $@ $(OBJS) $(CFLAGS) $(LDFLAGS)

%.o: %.c
	$(CC) -o $@ -c $< $(CFLAGS)

clean:
	rm -f $(APP) *.o

.PHONY: clean

=== debian/changelog ===
tmd710-tncsetup (1.13-1) unstable; urgency=medium

  * Initial release (Closes: #964333)

 -- Francois Marier <francois@debian.org>  Sun, 05 Jul 2020 20:01:28 -0700

=== debian/control ===
Source: tmd710-tncsetup
Section: hamradio
Priority: optional
Maintainer: Francois Marier <francois@debian.org>
Build-Depends:
 debhelper-compat (= 13),
Standards-Version: 4.5.0
Homepage: https://github.com/fmarier/tmd710_tncsetup
Rules-Requires-Root: no
Vcs-Browser: https://salsa.debian.org/debian-hamradio-team/tmd710-tncsetup
Vcs-Git: https://salsa.debian.org/debian-hamradio-team/tmd710-tncsetup.git

Package: tmd710-tncsetup
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: tool to configure the TNC on several Kenwood radios
 This is a tool to configure the TNC on several Kenwood radios.
 .
 The following radios are known to work with this tool:
 - TM-D710
 - TH-D72

=== debian/watch ===
# See uscan(1) for format
version=4

opts="pgpsigurlmangle=s%$%.asc%"
https://github.com/fmarier/tmd710_tncsetup/tags \
/fmarier/tmd710_tncsetup/archive/tmd710_tncsetup-([\d.]+)\.tar\.gz debian uupdate

## tmd710-tncsetup 1.13.1

=== Makefile ===
APP = tmd710_tncsetup
VERSION := $(shell grep 'VERSION "' $(APP).c  | cut -d\" -f2)
MANPAGE = $(APP).1
OBJS = tmd710_tncsetup.o
CFLAGS = -O2 -Wall -Werror -fstack-protector-strong -Wformat -Wformat-security -Werror=format-security -D_FORTIFY_SOURCE=2 -fPIE
LDFLAGS = -Wl,-z,now -Wl,-z,relro -Wl,-pie -Wl,--hash-style=gnu

prefix ?= /usr/local
bindir = $(DESTDIR)$(prefix)/bin/
mandir = $(DESTDIR)$(prefix)/share/man/man1/

all: $(APP) $(MANPAGE).gz

$(APP): $(OBJS)
	$(CC) -o $@ $(OBJS) $(CFLAGS) $(LDFLAGS)

$(MANPAGE).gz: $(MANPAGE)
	gzip --keep --best $<

%.o: %.c
	$(CC) -g -o $@ -c $< $(CFLAGS)

install: all
	mkdir -p $(bindir)
	install -m 755 $(APP) $(bindir)$(APP)
	mkdir -p $(mandir)
	install -m 644 $(MANPAGE).gz $(mandir)$(MANPAGE).gz

uninstall:
	rm $(bindir)$(APP)
	rm $(mandir)$(MANPAGE).gz

dist:
	git commit -a -m "Bump version for release"
	git tag -s $(APP)-$(VERSION) -m "$(VERSION) release"

clean:
	rm -f $(APP) $(MANPAGE).gz *.o

.PHONY: clean dist

=== debian/changelog ===
tmd710-tncsetup (1.13.1-3) unstable; urgency=medium

  * Bump Standards-Version up to 4.6.2.
  * Bump copyright year in debian/copyright.

 -- Francois Marier <francois@debian.org>  Thu, 26 Jan 2023 21:42:53 -0800

tmd710-tncsetup (1.13.1-2) unstable; urgency=medium

  * Bump copyright years in debian/copyright.
  * Remove --as-needed linker flag in debian/rules.

 -- Francois Marier <francois@debian.org>  Tue, 19 Jan 2021 00:12:35 -0800

tmd710-tncsetup (1.13.1-1) unstable; urgency=low

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

  [ Francois Marier ]
  * New upstream release:
    - drop patch which was applied upstream.
    - remove manpage which is now shipped upstream.
  * Check upstream signature in debian/watch.
  * Bump Standards-Version up to 4.5.1.
  * Patch upstream Makefile to set CFLAGS/LDFLAGS correctly.

 -- Francois Marier <francois@debian.org>  Sun, 03 Jan 2021 11:15:51 -0800

tmd710-tncsetup (1.13-2) unstable; urgency=medium

  * Make the Debian Ham Team the maintainer of this package.

 -- Francois Marier <francois@debian.org>  Mon, 06 Jul 2020 09:48:14 -0700

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,12 @@
 Source: tmd710-tncsetup
 Section: hamradio
 Priority: optional
-Maintainer: Francois Marier <francois@debian.org>
+Maintainer: Debian Hamradio Maintainers <debian-hams@lists.debian.org>
+Uploaders:
+ Francois Marier <francois@debian.org>,
 Build-Depends:
  debhelper-compat (= 13),
-Standards-Version: 4.5.0
+Standards-Version: 4.6.2
 Homepage: https://github.com/fmarier/tmd710_tncsetup
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/debian-hamradio-team/tmd710-tncsetup

=== debian/rules ===
#!/usr/bin/make -f
# See debhelper(7) (uncomment to enable)
# output every command that modifies files on the build system.
#export DH_VERBOSE = 1

# see FEATURE AREAS in dpkg-buildflags(1)
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic

CFLAGS = `dpkg-buildflags --get CFLAGS`
CFLAGS += `dpkg-buildflags --get CPPFLAGS`
LDFLAGS = `dpkg-buildflags --get LDFLAGS`

%:
	dh $@

override_dh_auto_build:
	dh_auto_build -- CFLAGS="$(CFLAGS)" LDFLAGS="$(LDFLAGS)"

override_dh_auto_install:
	dh_auto_install -- prefix=/usr
